# ionoscloud\_gpu

The **GPU data source** can be used to search for and return an existing GPU by either its ID or name. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned. When this happens, please refine your search string so that it is specific enough to return only one result.

## Example Usage

### By ID

```hcl
data "ionoscloud_gpu" "example" {
  datacenter_id = "datacenter_id"
  server_id     = "server_id"
  id            = "gpu_id"
}
```

### By Name

```hcl
data "ionoscloud_gpu" "example" {
  datacenter_id = "datacenter_id"
  server_id     = "server_id"
  name          = "GPU Name"
}
```

## Argument Reference

* `datacenter_id` - (Required) The ID of the datacenter.
* `server_id` - (Required) The ID of the server.
* `name` - (Optional) Name of the GPU.
* `id` - (Optional) ID of the GPU.

`datacenter_id` and `server_id` are required. Either `name` or `id` must be provided. If both `name` and `id` are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The id of the GPU.
* `name` - The name of the GPU.
* `vendor` - The vendor of the GPU.
* `type` - The type of the GPU.
* `model` - The model of the GPU.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/gpu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
